Subject: Re: [mobile-ip] [Announce] Link Identifier draft.

From: Greg Daley <[email-masked]>
Date: Tue, 24 Jun 2003 09:08:22 +1000

Hi Ed,

Ed Remmell wrote:
> I have a question about this draft (MIPv6 link identifier):
> What if the router that advertises the link identifier is essentially
> mobile, and is not aware of L2 handoffs (changes in link)? Also, it is
> possible that it might not be mobile, but it might be in range of
> multiple wireless access points (each being different wireless links
> with different IP subnets, in this scenario) - again, what would happen
> if it is not aware of link movement when it is stationary but it is in
> fact periodically switching to a different link at L2? In this case, it
> seems like the use of the link identifier is error prone.

For the first case (the moving router) this case isn't
handled.   For NEMO systems, the mobile/wireless interface
is typically configured in the same fashion as a host's
(doesn't do RAs or join all-routers group).

For Ad-Hoc networks, the issue is one of peer router visibility.
The situation is problematic, if all routers do not have a
consistent view of each other.  We have not attempted to deal
with this idea yet.

When there is a wired back network with a common broadcast
domain, all routers will be equally visible from each other
and each router will be as visible as another to the moving
hosts.

> I just looked at your draft to see if this scenario was covered, and it
> appears it is almost handled but recovery isn't very good (since this is
> apparently considered an exception which is not expected to happen very
> often):
> 
> section 5.2.1. Conflicting Link ID Management says:
> "   If at the expiry of AmbigTimer, the router that generated the LinkID
>    has found routers which continue to advertise a less preferred
>    LinkID, the following action may be applicable:
> 
>    For a period equal to the sum of the maximum values of SolicitTimer
>    and AmbigTimer, the router MAY advertise a LinkID option with a
>    LinkID field value set to zero.  This LinkID option MUST have the
>    Ambiguity Flag unset.  After this period, the router returns to RA
>    advertising without LinkID, until the interface is reset.
> 
>    Such interface resets may be undertaken upon Link-layer trigger
>    reception, or administrative action.
> 
>    Other routers which are advertising LinkID SHOULD stop doing so upon
>    reception of an unambiguous advertisement with LinkID of zero value.
>    The routers return to RA advertising without LinkID until their
>    interface is reset."
> 
> In your specification, you are forcing the other routers to stop
> advertising LinkID when this conflict is detected. That seems somewhat
> drastic. But, perhaps what you are doing is explicitly not allowing this
> deployment scenario described above by disabling the use of LinkID on
> the link when this conflict is detected, the assumption being that this
> deployment scenario should not be that common (i.e. should be
> exceptional).

You are correct in your deduction.  We thought about this issue,
and essentially left it for the -00 draft.  We thought that
for such a rare issue we could disable the (slightly) dangerous 
behaviour, and send a message/trap.

> I'm almost OK with this. But, I think the scenario of a stationary
> router that switches back and forth periodically between two different
> wireless links/subnets on a specific interface may not be that uncommon
> (it depends on the characteristics of the wireless link type). Also,
> this will not support mobile routers (unless they use a link-layer
> trigger to reset the interface and renegotiate the LinkID).

I think that the existing proposals for Network Mobility do not
face this issue, since those routers do not advertise on their
Internet facing interfaces.  The applicability statement section
tries to summarize the issue with routers' visibility of each other
and their identification of a link.

Do you think that this needs to be added to, or more investigation
carried out on the likelihood of link partitioning taking place?

Greg

---

From: "Ed Remmell" <[email-masked]>
Date: Mon, 23 Jun 2003 16:38:03 -0700

Greg -

>From your draft:
"6. Applicability Statement

   Advertisement of Link Identifiers is only really applicable to net-
   works where all of the routers on a link can see each other.  Envi-
   ronments with routers that are linked to one another by wireless con-
   nections that may come and go SHOULD NOT be using this approach.

   Using LinkIDs to infer unreachability may also be inappropriate for
   MNs using technologies where it is possible to receive packets at
   layer three on a single interface from two separate links simultane-
   ously.  In such a case the MN may incorrectly assume that its previ-
   ous AR is unreachable each time it receives an RA, resulting in
   "ping-ponging" behaviour."

> I think that the existing proposals for Network Mobility do 
> not face this issue, since those routers do not advertise on 
> their Internet facing interfaces.  The applicability 
> statement section tries to summarize the issue with routers' 
> visibility of each other and their identification of a link.
> 
> Do you think that this needs to be added to, or more 
> investigation carried out on the likelihood of link 
> partitioning taking place?

I think your first paragraph in section 6 is sufficient for this case.

Thanks.
- Ed

---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.486 / Virus Database: 284 - Release Date: 5/29/2003